## node-esprima 4.0.1+ds+~4.0.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Test.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Test.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Test"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Test"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## node-esprima 2.7.2+ds

=== debian/changelog ===
node-esprima (2.7.2+ds-1) unstable; urgency=low

  * Initial release (Closes: #750223)

 -- Julien Puydt <julien.puydt@laposte.net>  Sat, 11 Jun 2016 14:12:00 +0200

=== debian/control ===
Source: node-esprima
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Julien Puydt <julien.puydt@laposte.net>
Build-Depends: debhelper (>= 9), nodejs
Standards-Version: 3.9.8
Homepage: http://esprima.org
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-esprima.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-javascript/node-esprima.git

Package: node-esprima
Architecture: all
Depends: ${misc:Depends}, nodejs
Description: ECMAScript parsing infrastructure for multipurpose analysis
 Esprima is a high-performance and standard-compliant parser for ECMAScript
 written in ECMAScript.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/node-esprima/usr/lib/nodejs/esprima/bin/*

## node-esprima 3.1.3+ds

=== debian/changelog ===
node-esprima (3.1.3+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Versioned Build-Depends: nodejs (>= 4.7.2~)

 -- Andreas Tille <tille@debian.org>  Tue, 21 Mar 2017 16:08:59 +0100

node-esprima (3.1.3+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 11 Jan 2017 09:56:50 +0100

node-esprima (3.1.2+ds-2) unstable; urgency=medium

  * Updated d/copyright to LICENSE.BSD's change.

 -- Julien Puydt <julien.puydt@laposte.net>  Sat, 10 Dec 2016 14:40:40 +0100

node-esprima (3.1.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch.

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 08 Dec 2016 09:11:07 +0100

node-esprima (3.1.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Push dh compat to 10.

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 06 Nov 2016 10:09:42 +0100

node-esprima (3.1.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Install esprima.js in dist as expected by package.json

 -- Pirate Praveen <praveen@debian.org>  Thu, 20 Oct 2016 17:13:41 +0530

node-esprima (3.1.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <julien.puydt@laposte.net>  Sat, 15 Oct 2016 19:20:36 +0200

node-esprima (3.0.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Build with TypeScript.

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 04 Sep 2016 05:39:01 +0200

node-esprima (2.7.3+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <julien.puydt@laposte.net>  Sat, 27 Aug 2016 10:58:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Julien Puydt <julien.puydt@laposte.net>
-Build-Depends: debhelper (>= 9), nodejs
+Build-Depends: debhelper (>= 10), nodejs (>= 4.7.2~), node-typescript
 Standards-Version: 3.9.8
 Homepage: http://esprima.org
 Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-esprima.git

## node-esprima 4.0.0+ds

=== debian/changelog ===
node-esprima (4.0.0+ds-2) unstable; urgency=medium

  * Added a more precise dependency on typescript. (Closes: #866798)

 -- Julien Puydt <julien.puydt@laposte.net>  Sat, 01 Jul 2017 21:28:38 +0200

node-esprima (4.0.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Push standards-version to 4.0.0.

 -- Julien Puydt <julien.puydt@laposte.net>  Sat, 01 Jul 2017 13:24:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Julien Puydt <julien.puydt@laposte.net>
-Build-Depends: debhelper (>= 10), nodejs (>= 4.7.2~), node-typescript
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), nodejs, node-typescript (>= 2.4.1)
+Standards-Version: 4.0.0
 Homepage: http://esprima.org
 Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-esprima.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-javascript/node-esprima.git

=== debian/tests/control ===
Tests: require
Depends: node-esprima

=== debian/watch ===
version=3
opts=\
repacksuffix=+ds,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-esprima-$1.tar.gz/ \
 https://github.com/jquery/esprima/tags .*/archive/v?([\d\.]+).tar.gz

## node-esprima 4.0.1%2Bds

=== debian/changelog ===
node-esprima (4.0.1+ds-2) unstable; urgency=medium

  * Team upload

  [ Julien Puydt ]
  * Bump std-ver to 4.2.1.

  [ Pirate Praveen ]
  * Install .ts files for building typescript libraries (Closes: #930269)
  * Bump Standards-Version to 4.3.0 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Sun, 09 Jun 2019 20:02:56 +0530

node-esprima (4.0.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh packaging:
    - Bump dh compat to 11.
    - Bump std-ver to 4.1.5. 
    - Bump d/watch to version 4. 
    - Move to section javascript. 
    - Move Vcs-* fields to salsa.
    - Drop patch to use nodejs instead of node. 
    - Use my debian.org mail address. 

 -- Julien Puydt <jpuydt@debian.org>  Tue, 17 Jul 2018 22:39:00 +0200

## node-esprima 4.0.1%2Bds%2B~4.0.3

=== debian/changelog ===
node-esprima (4.0.1+ds+~4.0.3-2) unstable; urgency=medium

  * Team upload
  * Fix d/watch
  * Use nodejs:any nodejs:native
  * Use strict version for provides
  * Prepare splitting javascript package

 -- Bastien Roucariès <rouca@debian.org>  Thu, 30 Sep 2021 13:55:04 +0000

node-esprima (4.0.1+ds+~4.0.3-1) unstable; urgency=medium

  [ Julien Puydt ]
  * Fix d/watch.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on node-typescript.

  [ Julien Puydt ]
  * Bump standards-version to 4.6.0.
  * New upstream release.
  * Add a patch to fix typescript typing errors.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 04 Sep 2021 23:13:54 +0200

node-esprima (4.0.1+ds+~4.0.2-2) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + node-esprima: Add Multi-Arch: foreign.

  [ Xavier Guimard ]
  * Declare node-types-esprima
  * Bump debhelper compatibility level to 13
  * Use dh-sequence-nodejs
  * Declare compliance with policy 4.5.1
  * Add ctype=nodejs to component(s)
  * Update build dependency: replace deprecated node-typescript-types by
    node-types-estree (Closes: #980654, #979770)

 -- Xavier Guimard <yadd@debian.org>  Thu, 21 Jan 2021 21:10:24 +0100

node-esprima (4.0.1+ds+~4.0.2-1) unstable; urgency=medium

  * Team upload
  * Use pkg-js-tools auto install
  * Fix package.json main field (use src files instead of webpack result)
  * Install libjs-esprima files
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Add upstream/metadata
  * Embed @types/esprima
  * Add "Breaks" against node-escodegen < 1.14.1+dfsg-2~
  * Enable upstream test using mocha

 -- Xavier Guimard <yadd@debian.org>  Sat, 23 May 2020 08:19:19 +0200

## node-esprima 4.0.1+ds

=== debian/control ===
Source: node-esprima
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Build-Depends: debhelper (>= 11), nodejs, node-typescript (>= 2.4.1)
Standards-Version: 4.3.0
Homepage: http://esprima.org
Vcs-Git: https://salsa.debian.org/js-team/node-esprima.git
Vcs-Browser: https://salsa.debian.org/js-team/node-esprima

Package: node-esprima
Architecture: all
Depends: ${misc:Depends}, nodejs
Description: ECMAScript parsing infrastructure for multipurpose analysis
 Esprima is a high-performance and standard-compliant parser for ECMAScript
 written in ECMAScript.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	tsc -p src

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/node-esprima/usr/lib/nodejs/esprima/bin/*

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts=\
 repacksuffix=+ds,\
 dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\

## node-esprima 4.0.1+ds+~4.0.2

=== debian/control ===
Source: node-esprima
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Build-Depends: debhelper-compat (= 13)
 , mocha <!nocheck>
 , node-typescript (>= 2.4.1)
 , node-types-estree
 , dh-sequence-nodejs
 , webpack
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/js-team/node-esprima
Vcs-Git: https://salsa.debian.org/js-team/node-esprima.git
Homepage: https://esprima.org
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-esprima
Architecture: all
Depends: ${misc:Depends}
Provides: libjs-esprima, ${nodejs:Provides}
Breaks: node-escodegen (<< 1.14.1+dfsg-2~)
Suggests: nodejs
 , javascript-common
Multi-Arch: foreign
Description: ECMAScript parsing infrastructure for multipurpose analysis
 Esprima is a high-performance and standard-compliant parser for ECMAScript
 written in ECMAScript.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	tsc -p src
	webpack
	node tools/fixupbundle.js

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/node-esprima/usr/share/nodejs/esprima/bin/*

=== debian/watch ===
version=4
opts=\
repacksuffix=+ds,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-esprima-$1.tar.gz/ \
 https://github.com/jquery/esprima/tags .*/archive/v?([\d\.]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,ctype=nodejs,component=typesesprima,pgpmode=none" \
 https://registry.npmjs.org/@types/esprima https://registry.npmjs.org/@types/esprima/-/esprima-([\d\.]+)@ARCHIVE_EXT@ group

## node-esprima 4.0.1+ds+~4.0.3

=== docs/requirements.txt ===
sphinx-rtd-theme
sphinx
recommonmark

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Build-Depends: debhelper-compat (= 13)
  , mocha <!nocheck>
- , node-typescript (>= 2.4.1)
+ , node-typescript
  , node-types-estree
  , dh-sequence-nodejs
  , webpack
-Standards-Version: 4.5.1
+ , nodejs:native
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-esprima
 Vcs-Git: https://salsa.debian.org/js-team/node-esprima.git
 Homepage: https://esprima.org
@@ -18,11 +19,12 @@
 
 Package: node-esprima
 Architecture: all
-Depends: ${misc:Depends}
-Provides: libjs-esprima, ${nodejs:Provides}
+Depends: ${misc:Depends},
+  nodejs:any
+Provides: libjs-esprima (= ${source:Version}),
+ ${nodejs:Provides}
 Breaks: node-escodegen (<< 1.14.1+dfsg-2~)
-Suggests: nodejs
- , javascript-common
+Suggests: javascript-common
 Multi-Arch: foreign
 Description: ECMAScript parsing infrastructure for multipurpose analysis
  Esprima is a high-performance and standard-compliant parser for ECMAScript

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,10 @@
 override_dh_fixperms:
 	dh_fixperms
 	chmod +x debian/node-esprima/usr/share/nodejs/esprima/bin/*
+
+override_dh_auto_install:
+	dh_auto_install $@ --buildsystem=nodejs
+	# javascript does not like symlink whereas node accept it
+	mv debian/node-esprima/usr/share/nodejs/esprima/dist/* debian/node-esprima/usr/share/javascript/esprima
+	rmdir debian/node-esprima/usr/share/nodejs/esprima/dist
+	ln -s ../../javascript/esprima debian/node-esprima/usr/share/nodejs/esprima/dist

=== debian/watch ===
version=4
opts=\
repacksuffix=+ds,\
dversionmangle=auto,\
filenamemangle=s%(?:.*?/)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1% \
 https://github.com/jquery/esprima/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@ group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts=searchmode=plain,ctype=nodejs,component=typesesprima,pgpmode=none,\
 filenamemangle=s%(?:.*?)?-?(@ANY_VERSION@@ARCHIVE_EXT@)%typesesprima-$1% \
 https://registry.npmjs.org/@types/esprima https://registry.npmjs.org/@types/esprima/-/esprima-@ANY_VERSION@@ARCHIVE_EXT@ group
